Closed Bug 1149099 Opened 6 years ago Closed 6 years ago

[Dialer]"Your SIM Card is PUK-locked" appears when there is no SIM Card .

Categories

(Firefox OS Graveyard :: Gaia::Dialer, defect)

ARM
Gonk (Firefox OS)
defect
Not set
normal

Tracking

(b2g-v2.0 wontfix, b2g-v2.0M wontfix, b2g-v2.1 wontfix, b2g-v2.1S wontfix, b2g-v2.2 unaffected, b2g-master unaffected)

RESOLVED WONTFIX
Tracking Status
b2g-v2.0 --- wontfix
b2g-v2.0M --- wontfix
b2g-v2.1 --- wontfix
b2g-v2.1S --- wontfix
b2g-v2.2 --- unaffected
b2g-master --- unaffected

People

(Reporter: lulu.tian, Unassigned)

References

Details

Attachments

(3 files)

121.98 KB, text/plain
Details
2.64 MB, video/mp4
Details
1.41 MB, video/mp4
Details
Attached file logcat_0500.txt
[1.Description]:
[Flame v2.0 &2.1]&[woodduck 2.0M][Dialer]Call out the codes "**04*1234*6789*6789#" to change SIM PIN, the message "Your SIM Card is PUK-locked" appears.
Found time:05:00
See attachment:logcat_0500.txt and VIDEO.MP4

[2.Testing Steps]: 
Precondition:There is no SIM Card in the Device.
1.Launch Dialer.
2.Call out the codes "**04*1234*6789*6789#" to change SIM PIN.

[3.Expected Result]: 
2.The prompt "no network connection " should appear.

[4.Actual Result]: 
2.The message "Your SIM Card is PUK-locked" appears.

[5.Reproduction build]: 
Device: Flame 2.0[Affected]
Build ID               20150329000203
Gaia Revision          896803174633fc6acd3fd105f81c349b8e9b9633
Gaia Date              2015-03-10 06:32:26
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g32_v2_0/rev/0dd313c30aa9
Gecko Version          32.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150329.033547
Firmware Date          Sun Mar 29 03:35:58 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 2.1[Affected]
Build ID               20150329001204
Gaia Revision          6f39e4e876152de1dcdcc0e7656197f22f105e4b
Gaia Date              2015-03-25 11:16:16
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/275ad18f587b
Gecko Version          34.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150329.035632
Firmware Date          Sun Mar 29 03:56:41 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 2.2[Unffected]
Build ID               20150329002502
Gaia Revision          473cd63f53c855299b719285d9b95e3f2910782f
Gaia Date              2015-03-27 20:14:43
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/4b13c4254e2f
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150329.035453
Firmware Date          Sun Mar 29 03:55:05 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 3.0[Unffected]
Build ID               20150329010203
Gaia Revision          67ad91f3f660b1f16b354ee4c5159ddc5a74d149
Gaia Date              2015-03-28 10:02:40
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/385840329d91
Gecko Version          39.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150329.042104
Firmware Date          Sun Mar 29 04:21:16 EDT 2015
Bootloader             L1TC000118D0

Device:Woodduck 2.0M[Affected]
Build ID               20150330050314
Gaia Revision          7b6a61871b2dfefe9ec9868da99de5b85e0076e2
Gaia Date              2015-03-19 02:12:16
Gecko Revision         478571798ab92db7d34352eb6c16c3e311818e81
Gecko Version          32.0
Device Name            jrdhz72_w_ff
Firmware(Release)      4.4.2
Firmware(Incremental)  1427663255
Firmware Date          Mon Mar 30 05:07:52 CST 2015

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test
Attached video VIDEO.MP4
Hi HsinYi, do you know if this is regression or not? Or if this problem is already fixed from another bug on v2.2 and v3.0?
Flags: needinfo?(htsai)
(In reply to Mike Lien[:mlien] from comment #2)
> Hi HsinYi, do you know if this is regression or not? Or if this problem is
> already fixed from another bug on v2.2 and v3.0?

Sorry that I can't easily think of an obvious bug related to this one that causes different behaviour across branches. Maybe we need bisection help?
Flags: needinfo?(htsai)
edge case, qawanted to see if 2.1S has the issue or not and decide if this should be fixed on partner branch
Keywords: qawanted
Attached video 2.1S_video.MP4
This issue can be repro on latest build of 2.1S(512M) with the same steps in comment 0.
See attachment:2.1S_video.MP4
Rate:5/5

Device: 2.1S_512mb (affected)
Build ID               20150331001206
Gaia Revision          fa9fb90a3eaad9feff807249a925926626287908
Gaia Date              2015-03-25 15:44:50
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1s/rev/79c1a828105f
Gecko Version          34.0
Device Name            scx15_sp7715ea
Firmware(Release)      4.4.2
Firmware(Incremental)  122
Firmware Date          Thu Feb  5 12:42:58 CST 2015
QA Whiteboard: [MGSEI-Triage+]
Keywords: qawanted
Hi Steven, do you think this should be fixed on v2.1S?
Flags: needinfo?(styang)
Does it only be reproduced on changing pin via dialing codes? if so, it's a rare use case, I'm fine not to fix it on 2.1S.
Flags: needinfo?(styang)
Flags: needinfo?(mlien)
Flags: needinfo?(lulu.tian)
Yes, it is only reproduced on changing pin via dialing codes. If user input a phone number and call it out, it will prompt "No network connection".
Flags: needinfo?(lulu.tian)
from comment 7, WONTFIX on v2.1 and v2.1s
2.0 is already out. WONTFIXing the whole bug.
Status: NEW → RESOLVED
Closed: 6 years ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.